View Issue Details

IDProjectCategoryView StatusLast Update
0000010file[All Projects] Generalpublic2018-08-02 06:26
ReporteranonymousAssigned Tochristos 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformDebianOSLinuxOS Version
Product Version 
Target VersionFixed in Version5.35 
Summary0000010: Please tech file to recognize the Sketchup 3D model format
DescriptionThis is forwarded from <URL: https://bugs.debian.org/903693 >.

The Sketchup 3D model format is used by the Sketchup modelling tool
available from <URL: https://www.sketchup.com/ >.

This is how it is handled at the moment:

  % file 35vertical.skp
  35vertical.skp: Zip archive data, o
  % file --mime 35vertical.skp
  35vertical.skp: application/octet-stream; charset=binary
  %

According to <URL: https://www.filesuffix.com/en/extension/skp >, its
MIME type should be application/vnd.sketchup.skp. According to
<URL:https://www.iana.org/assignments/media-types/application/vnd.sketchup.skp>,
this format is not registered with IANA.

An example file can be downloaded from
<URL: https://www.thingiverse.com/thing:898198 >.
TagsNo tags attached.
Attach Tags

Activities

cbiedl

2018-07-22 07:56

reporter   ~0000011

As apparently all sketchup files have an identical header (some framing and a ucs-2 encoded text), the magic is fairly simple:

0 string \xff\xfe\xff\x0e\x53\x00\x6b\x00\x65\x00\x74\x00\x63\x00\x68\x00\x55\x00\x70\x00\x20\x00\x4d\x00\x6f\x00\x64\x00\x65\x00\x6c\x00 SketchUp Model
!:mime application/vnd.sketchup.skp
!:ext skp

The Debian package will ship this from the next version on.

    Christoph

PS: Any chance we'll ever have the mailing list again?

christos

2018-08-02 06:26

manager   ~0000036

Added magic, and the mailing list is in mailman.astron.com

Issue History

Date Modified Username Field Change
2018-07-13 22:07 anonymous New Issue
2018-07-22 07:56 cbiedl Note Added: 0000011
2018-08-02 06:25 christos Assigned To => christos
2018-08-02 06:25 christos Status new => assigned
2018-08-02 06:26 christos Status assigned => resolved
2018-08-02 06:26 christos Resolution open => fixed
2018-08-02 06:26 christos Fixed in Version => 5.35
2018-08-02 06:26 christos Note Added: 0000036